XOOPS: XOOPS 2.2.1 is released

Posted by: skalpaon 2005/8/8 14:40:00 35042 reads
The XOOPS Development team would like to announce the immediate availability of XOOPS 2.2.1.

This is a maintenance release that addresses several problems identified after the XOOPS 2.2 release as well as a critical security issue, and therefore all users of XOOPS 2.2 are strongly encouraged to upgrade to this release as soon as possible.

The XOOPS 2.2 release has been the most important core release for several years, and features many important enhancements or changes to core functionalities, integrating highly demanded things such as LDAP integration, a core provided WYSIWYG editor, the possibility to customize user profile fields, and many others.

Because of this users may encounter some problems with this version, and specifically compatibility issues with some 3rd-party modules. Therefore, you are strongly encouraged to check the compatibility or your existing modules base in case of a XOOPS 2.0.x upgrade. We are actively working with modules developers to enhance compatibility and publish technical information about the new features, to ensure most of these can be fixed as soon as possible.
Further information will be given on www.xoops.org later.

To users of PHP 4.4 / 5.1:
XOOPS generates a whole lot of error notices regarding "references" with these versions, due to the recent changes the PHP team has made to references handling. These messages should be ignored and do not mean your website is going to explode (they are more annoying for developers working with XOOPS). Fixing the concerned XOOPS parts is an important change that cannot be done without some serious testing, so this will only be done in a future release.

To users of XOOPS 2.2:
Due to a problem with the 2.2 packages containing bad revision numbers no upgrade patch from this version will be released (it would have leaded to a situation where websites containing a fresh 2.2.1 install and upgraded ones would have contained a different set of files). Thus, to update from 2.2:
- Download the full install package
- Delete the mainfile.php file and the install folder from this package html/
- Copy the content of the html folder to your site, replacing the old files.

Last editor's note: some 2.0.x -> 2.2.1 upgrade patches might be released in a few days if possible (but not if that leads to an archive almost as big as the full install). I'll update this news later if it is the case.


Download links:
XOOPS 2.2.1
.zip package .tar.gz package
SF release page